/*
* ==============================================================================
*  Name        : S60InternetRadioDoc.h
*  Part of     : S60 Internet Radio Application
*  Interface   :
*  Description : Defines the S60 Internet Radio application's document class
*  Version     : 1
*
*  Copyright (c) 2006, Nokia Corporation All rights reserved. Redistribution
*  and use in source and binary forms, with or without modification, are
*  permitted provided that the following conditions are met: Redistributions
*  of source code must retain the above copyright notice, this list of
*  conditions and the following disclaimer. Redistributions in binary form
*  must reproduce the above copyright notice, this list of conditions and the
*  following disclaimer in the documentation and/or other materials provided
*  with the distribution. Neither the name of the Nokia Corporation nor the
*  names of its contributors may be used to endorse or promote products
*  derived from this software without specific prior written permission. THIS
*  SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
*  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
*  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
*  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
*  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
*  POSSIBILITY OF SUCH DAMAGE.
* ==============================================================================
*/

#ifndef __S60INTERNETRADIODOC_H__
#define __S60INTERNETRADIODOC_H__

// INCLUDE FILES
#include <eikdoc.h>

// CLASS DECLARATION

/**
* The application document class
*
*/
class CS60InternetRadioDocument : public CEikDocument
    {
	public:

        /**
        * Factory function to create a CS60InternetRadioDocument
	  	* @param aApp application creating this document
        * @return a pointer to the created instance of CS60InternetRadioDocument
		*/
		static CS60InternetRadioDocument* NewL(CEikApplication& aApp);

	private: // from CAknDocument

        /**
        * Create a CS60InternetRadioAppUi
        * @return a pointer to the created instance of the AppUi
		*/
		CEikAppUi* CreateAppUiL();

	private:

        /**
        * Perform the first phase of two phase construction
	  	* @param aApp application creating this document
		*/
		CS60InternetRadioDocument(CEikApplication& aApp);

        /**
        * Perform the second phase construction of a CS60InternetRadioDocument object
		*/
		void ConstructL();

    };


#endif // __S60INTERNETRADIODOC_H__

// End of File
